## Name

rtarea — Calculate exposed and presented surface areas

## Synopsis

`rtarea` [`options`...] `model.g` `objects`...

## DESCRIPTION

Rtarea calculates the exposed, presented and centers of surface areas of specified geometry objects from a particular view. The summary output includes details for individual regions, assemblies (combinations that contain regions), and summarized totals. The exposed area is the occluded 2D projection of the specified geometry. That is, if another object is in front, it will reduce the amount of exposed area. The presented area is the unoccluded 2D projection of the geometry, where hidden objects will report their presented area regardless of any objects that are in front.

WARNING: Rtarea may not correctly report area or center when instancing is done at the group level. Using xpush can be a workaround for this problem.

The model geometry is the list of objects in the input database model.g.

`-X #`

  Sets rtarea debug flags to a (hexadecimal) number. A flag value of 1 causes 3-D plot output to be written to stdout. All solid RPPs are plotted as grey boxes, and the walk path is in alternating blue and green segments. A flag value of 2 adds red segments for all attempted steps, as well as the final steps. A flag value of 3 adds some debugging prints to stderr in addition to the plots. This is useful for immediate path review, e.g., `rtarea -X 1 ... | tiris`

`-x #`

  Sets librt debug flags to a (hexadecimal) number.

`-n #`

  Number of steps.

The rtarea program employs librt(3) for the geometry interrogation.

## ADDITIONAL OPTIONS

To configure its behavior, rtarea makes use of the `-c` option.

Note that this approach is necessitated by the fact that librt (3) has used up nearly the entire alphabet. A transition to GNU-style long option names is planned.

`-c "set compute_centers=#"`

  and

`-c "set cc=#"`

  determine whether area centers should be computed and reported. Valid values are 1 (on) and 0 (off). The default is off.

## EXAMPLES

Example 1. Rtarea processing of example.g

The command `rtarea example.g all` computes the area for model 'example.g' group 'all'.

The command `rtarea -c "set cc=1" example.g all` computes the area and centers for model 'example.g' group 'all'.

## SEE ALSO

mged(1), rt(1), pix-fb(1), librt(3), pix(5).

## DIAGNOSTICS

Numerous error conditions are possible. Descriptive messages are printed on stderr.

## COPYRIGHT

This software is Copyright (c) 1987-2010 United States Government as represented by the U.S. Army Research Laboratory. All rights reserved.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <bugs@brlcad.org>.

## AUTHOR

BRL-CAD Team